Bug 438083 - Review Request: perl-Catalyst-View-TT - Template Toolkit View Class
Review Request: perl-Catalyst-View-TT - Template Toolkit View Class
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On: perl-Template-Timer
  Show dependency treegraph
Reported: 2008-03-18 17:56 EDT by Chris Weyl
Modified: 2010-09-02 17:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-19 15:40:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-03-18 17:56:15 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Catalyst-View-TT-0.26-1.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Catalyst-View-TT.spec

This is the Catalyst view base class for the Template Toolkit.
Comment 1 Chris Weyl 2008-03-18 18:03:14 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=521583
Comment 2 Parag AN(पराग) 2008-03-18 21:42:47 EDT
+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=521583
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
653f58f818a1b0b3d0ad28b62c13241b  Catalyst-View-TT-0.26.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=8, Tests=38,  1 wallclock secs ( 1.50 cusr +  0.21 csys =  1.71 CPU)
+ Package perl-Catalyst-View-TT-0.26-1.fc9 =>
  Provides: perl(Catalyst::Helper::View::TT)
perl(Catalyst::Helper::View::TTSite) perl(Catalyst::View::TT) = 0.26
Requires: perl(Catalyst) perl(Data::Dump) perl(File::Spec) perl(NEXT)
perl(Path::Class) perl(Template) perl(Template::Timer) perl(base) perl(strict)

Comment 3 Chris Weyl 2008-03-18 21:49:46 EDT
New Package CVS Request
Package Name: perl-Catalyst-View-TT
Short Description: Template Toolkit View Class
Owners: cweyl
Branches: F-7, F-8, devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2008-03-19 12:12:16 EDT
cvs done.
Comment 5 Chris Weyl 2008-03-19 15:40:50 EDT
Thanks for the review!
Comment 6 Iain Arnell 2010-09-02 10:21:36 EDT
Package Change Request
Package Name: perl-Catalyst-View-TT
New Branches: el6
Owners: iarnell tremble
Comment 7 Kevin Fenzi 2010-09-02 17:20:43 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.